SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   CUPS Vendors:   Easy Software Products
CUPS Double Free Bug in process_browse_data() May Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1019473
SecurityTracker URL:  http://securitytracker.com/id/1019473
CVE Reference:   CVE-2008-0882   (Links to External Site)
Date:  Feb 21 2008
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 1.3.5
Description:   A vulnerability was reported in CUPS (Common UNIX Printing System). A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted UDP IPP packets to trigger a double free error and cause the daemon to crash or potentially execute arbitrary code on the target system. The code will run with the privileges of the target service.

The addition and removal of remote shared printers can trigger the flaw.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a source code fix.
Vendor URL:  www.cups.org/str.php?L2656 (Links to External Site)
Cause:   State error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Feb 21 2008 (Red Hat Issues Fix) CUPS Double Free Bug in process_browse_data() May Let Remote Users Execute Arbitrary Code
Red Hat has released a fix for Red Hat Enterprise Linux 5.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC